com.jscape.inet.gateway.operation.key

## Class ServerKeySummary

- java.lang.Object
- - com.jscape.inet.gateway.operation.key.ServerKeySummary

- All Implemented Interfaces:
    java.io.Serializable

      public class ServerKeySummary
      extends java.lang.Object
      implements java.io.Serializable

  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `certificateBeginDate`
    `long` | `certificateEndDate`
    `java.lang.String` | `certificateIssuer`
    `java.lang.String` | `certificateSerialNumber`
    `java.lang.String` | `certificateSerialNumberHex`
    `java.lang.String` | `certificateSignature`
    `java.lang.String` | `certificateSignatureAlgorithm`
    `java.lang.String` | `certificateSubject`
    `java.lang.String` | `certificateSubjectAlternativeName`
    `ExtendedKeyUsage[]` | `extendedKeyUsages`
    `java.lang.String` | `keyAlgorithm`
    `int` | `keySize`
    `KeyUsage[]` | `keyUsages`
    `java.lang.String` | `name`
    `java.lang.String[]` | `revocationListUrls`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerKeySummary()`
    `ServerKeySummary(java.lang.String name, java.lang.String keyAlgorithm, int keySize, java.lang.String certificateSerialNumber, java.lang.String certificateSerialNumberHex, java.lang.String certificateIssuer, java.lang.String certificateSubject, java.lang.String certificateSubjectAlternativeName, long certificateBeginDate, long certificateEndDate, java.lang.String certificateSignature, java.lang.String certificateSignatureAlgorithm, KeyUsage[] keyUsages, ExtendedKeyUsage[] extendedKeyUsages, java.lang.String[] revocationListUrls)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

    - #### keyAlgorithm

          public java.lang.String keyAlgorithm

    - #### keySize

          public int keySize

    - #### certificateSerialNumber

          public java.lang.String certificateSerialNumber

    - #### certificateSerialNumberHex

          public java.lang.String certificateSerialNumberHex

    - #### certificateIssuer

          public java.lang.String certificateIssuer

    - #### certificateSubject

          public java.lang.String certificateSubject

    - #### certificateSubjectAlternativeName

          public java.lang.String certificateSubjectAlternativeName

    - #### certificateBeginDate

          public long certificateBeginDate

    - #### certificateEndDate

          public long certificateEndDate

    - #### certificateSignature

          public java.lang.String certificateSignature

    - #### certificateSignatureAlgorithm

          public java.lang.String certificateSignatureAlgorithm

    - #### keyUsages

          public KeyUsage[] keyUsages

    - #### extendedKeyUsages

          public ExtendedKeyUsage[] extendedKeyUsages

    - #### revocationListUrls

          public java.lang.String[] revocationListUrls

  - ### Constructor Detail

    - #### ServerKeySummary

          public ServerKeySummary(java.lang.String name,
                                  java.lang.String keyAlgorithm,
                                  int keySize,
                                  java.lang.String certificateSerialNumber,
                                  java.lang.String certificateSerialNumberHex,
                                  java.lang.String certificateIssuer,
                                  java.lang.String certificateSubject,
                                  java.lang.String certificateSubjectAlternativeName,
                                  long certificateBeginDate,
                                  long certificateEndDate,
                                  java.lang.String certificateSignature,
                                  java.lang.String certificateSignatureAlgorithm,
                                  KeyUsage[] keyUsages,
                                  ExtendedKeyUsage[] extendedKeyUsages,
                                  java.lang.String[] revocationListUrls)

    - #### ServerKeySummary

          public ServerKeySummary()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 2009-2021. All Rights Reserved